Subject: RE: [midcom] Latest requirements bullets resolved

From: "Tom-PT Taylor" <[email-masked]>
Date: Tue, 16 Oct 2001 18:36:42 -0400

I pulled this out of the archive from a month back.

-----Original Message-----
From: Sen, Sanjoy [NGB:B602:EXCH] 
Sent: Monday, September 24, 2001 3:40 PM
To: 'Scott Brim'; midcom
Subject: RE: [midcom] Latest requirements bullets resolved

> -----Original Message----- 
> From: Scott Brim [ mailto:[email-masked] <mailto:[email-masked]> ] 
> Sent: Monday, September 24, 2001 1:10 PM 
> To: midcom 
> Subject: Re: [midcom] Latest requirements bullets resolved 
> 
> 
> On Mon, Sep 24, 2001 12:56:40PM -0500, Sanjoy Sen allegedly wrote: 
> > > You want to know when a ruleset timer expires?  But 
> you're the one who 
> > > set it.  
> > 
> > The Midcom Agent may not want to maintain the timer state. 
> It may just want 
> > to install a timer state in the MB and be notified when the 
> timer expires & 
> > react to that notification with specific activities. 
> 
> This is a months-old argument, about where to put the complexity. 
> Recent trends seem to be to pile complexity in the agent and keep the 
> middlebox simple -- viz. the example of a simple bump-in-the-wire 
> firewall, and the tendency to bundle application proxies with midcom 
> agents.  That's evidence of where people seem to want to go.  I also 
> think it's a safer base for the future to keep control state 
> complexity 
> in the controller, not the controlled object.  That's about 
> fate-sharing 
> and "ownership" of state. 
> 

If I remember correctly, people actually thought that there was no need for
the Agent to maintain the timer state as they'll be maintained by the MB
anyway (what's the purpose of reqmts R6 & R81? What if the Agent dies after
installing a ruleset?). If the MA is not keeping timer state, how would it
know when to refresh the ruleset unless notified by the MB?